Odoo 13 Accounting

by ,
Odoo          
v 13.0 Third Party 7559
Download for 13.0 series Deploy on Odoo.sh Live Preview
You bought this module and need support ? Click here !
Technical name om_account_accountant
LicenseLGPL-3
Also available in version v 12.0
Required Apps Invoicing (account)
Included Dependencies
Technical name om_account_accountant
LicenseLGPL-3
Also available in version v 12.0
Required Apps Invoicing (account)
Included Dependencies

Odoo 13 Accounting Management

Accounting Report - Partner Ledger, General Ledger, Trial Balance etc.


Asset Management.


Budget Management.



Accounting Reports

Asset Management

Budget Management



If you need any help or want more features, just contact us:


Email: odoomates@gmail.com



Odoo 13 Accounting

This Module will bring back the accounting features such as Account Reports, Asset Management and Budget Management into Odoo 13 Community Edition

Installation

To install this module, you need to:

Download the module and add it to your Odoo addons folder. Afterward, log on to your Odoo server and go to the Apps menu. Trigger the debug mode and update the list by clicking on the "Update Apps List" link. Now install the module by clicking on the install button.

Upgrade

To upgrade this module, you need to:

Download the module and add it to your Odoo addons folder. Restart the server and log on to your Odoo server. Select the Apps menu and upgrade the module by clicking on the upgrade button.

Configuration

There is Nothing to Configure

Credits

Contributors

Author & Maintainer

This module is maintained by the Odoo Mates

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Odoo
Error
by on

Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise raise value File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 664, in dispatch result = self._call_function(**self.params) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\service\model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 909, in __call__ return self.method(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 510, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 411, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 398, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 420, in load_modules loaded_modules, update_module, models_to_check) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 312, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 195, in load_module_graph registry.init_models(cr, model_names, {'module': package.name}) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 325, in init_models self.check_tables_exist(cr) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 341, in check_tables_exist env[name].init() File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\om_account_asset\report\account_asset_report.py", line 68, in init )""") File "C:\Program Files (x86)\Odoo 13.0\server\odoo\sql_db.py", line 163, in wrapper return f(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\sql_db.py", line 240, in execute res = self._obj.execute(query, params) psycopg2.errors.UndefinedTable: relation "account_asset_depreciation_line" does not exist LINE 30: from account_asset_depreciation_line dl ^

Odoo
Re: Error
by on

Hi, Looking for more details. We are not able to reproduce the same issue here. Please get the latest module and still if you are able to reproduce the issue, please send us a small video or image over the email regarding the issue. Email ID: odoomates@gmail.com


Odoo
General Ledger
by on

Another error has appeared Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\qweb.py", line 331, in _compiled_fn return compiled(self, append, new, options, log) File "", line 1, in template_accounting_pdf_reports_report_general_ledger_571 File "", line 2, in body_call_content_569 File "", line 6, in body_call_content_567 TypeError: 'NoneType' object is not iterable During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 2022, in report_download response = self.report_routes(reportname, converter=converter, context=context, **data) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 510, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1953, in report_routes pdf = report.with_context(context).render_qweb_pdf(docids, data=data)[0] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_actions_report.py", line 715, in render_qweb_pdf html = self.with_context(context).render_qweb_html(res_ids, data=data)[0] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_actions_report.py", line 755, in render_qweb_html return self.render_template(self.report_name, data), 'html' File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_actions_report.py", line 541, in render_template return view_obj.render_template(template, values) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_ui_view.py", line 1154, in render_template return self.browse(self.get_view_id(template)).render(values, engine) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web_editor\models\ir_ui_view.py", line 25, in render return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_ui_view.py", line 1162, in render return self.env[engine].render(self.id, qcontext) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_qweb.py", line 58, in render result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\qweb.py", line 259, in render self.compile(template, options)(self, body.append, values or {}) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\qweb.py", line 338, in _compiled_fn raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name) odoo.addons.base.models.qweb.QWebException: 'NoneType' object is not iterable Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\qweb.py", line 331, in _compiled_fn return compiled(self, append, new, options, log) File "", line 1, in template_accounting_pdf_reports_report_general_ledger_571 File "", line 2, in body_call_content_569 File "", line 6, in body_call_content_567 TypeError: 'NoneType' object is not iterable Error to render compiling AST TypeError: 'NoneType' object is not iterable Template: accounting_pdf_reports.report_general_ledger Path: /t/t/t[4]/div/div[1]/div[1]/p Node:

Odoo
Re: General Ledger
by on

Thanks For reporting again. Resolved it. Please pull the latest.


Odoo
General Ledger
by on

Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\cache.py", line 85, in lookup r = d[key] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\func.py", line 69, in wrapper return func(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\lru.py", line 44, in __getitem__ a = self.d[obj].me KeyError: ('ir.model.data', , 'accounting_pdf_reports.report_generalledger') During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 2022, in report_download response = self.report_routes(reportname, converter=converter, context=context, **data) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 510, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1953, in report_routes pdf = report.with_context(context).render_qweb_pdf(docids, data=data)[0] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_actions_report.py", line 715, in render_qweb_pdf html = self.with_context(context).render_qweb_html(res_ids, data=data)[0] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_actions_report.py", line 755, in render_qweb_html return self.render_template(self.report_name, data), 'html' File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_actions_report.py", line 541, in render_template return view_obj.render_template(template, values) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_ui_view.py", line 1154, in render_template return self.browse(self.get_view_id(template)).render(values, engine) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_ui_view.py", line 1057, in get_view_id return view and view.id or self.env['ir.model.data'].xmlid_to_res_id(template, raise_if_not_found=True) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_model.py", line 1657, in xmlid_to_res_id return self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)[1] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_model.py", line 1648, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "", line 2, in xmlid_lookup File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\cache.py", line 90, in lookup value = d[key] = self.method(*args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_model.py", line 1637, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: accounting_pdf_reports.report_generalledger

Odoo
Re: General Ledger
by on

Hi, Thanks for reporting the issue. Fixed with this commit: https://github.com/odoomates/odooapps/commit/857817f2e9e193de8665ea8a64fa56b086bf1611 Please pull the latest code and continue. Thanks


Odoo
Customer Invoices
by on

File "/odoo/custom/odoomates/odooapps/om_account_asset/models/account_invoice.py", line 108, in _onchange_product_id if self.invoice_id.type == 'out_invoice': AttributeError: 'account.move.line' object has no attribute 'invoice_id'

Odoo
Re: Customer Invoices
by on

Again Thanks For Reporting the Error. The Reported issue is FIXED. Commit: https://github.com/odoomates/odooapps/commit/1b91e34b544fd96a59bbf7809f8568f85151c7fa Thanks


Odoo
Customer Invoice
by on

File "/odoo/custom/odoomates/odooapps/om_account_asset/models/account_invoice.py", line 108, in _onchange_product_id if self.invoice_id.type == 'out_invoice': AttributeError: 'account.move.line' object has no attribute 'invoice_id'

Odoo
Re: Customer Invoice
by on

FIXED


Odoo
Asset
by on

odoo.tools.convert.ParseError: "Invalid field 'view_type' on model 'ir.actions.act_window'" while parsing /odoo/custom/odoomates/odooapps/om_account_asset/wizard/asset_depreciation_confirmation_wizard_views.xml:2, near asset.depreciation.confirmation.wizard asset.depreciation.confirmation.wizard

This wizard will post installment/depreciation lines for the selected month.
This will generate journal entries for all related installment lines on this period of asset/revenue recognition as well.

Post Depreciation Lines asset.depreciation.confirmation.wizard form tree,form new {'asset_type': 'purchase'}
Odoo
Re: Asset
by on

Hi, This issue has been reported by another user and we have fixed it in an hour before. So please download/pull the latest code and see. Commit: https://github.com/odoomates/odooapps/commit/83b71fca13533c1cd402200e0ed59e63fc164bb1 Thanks


Odoo
Fix: Asset and Balance Sheet
by on

The reported issues with the Asset and Balance Sheet Report is Fixed. So please update the module with the latest. Thanks